#
# sgpk08.rb
#
# $Id: sgpk08.rb,v 1.1 2000/11/21 03:15:35 keiko Exp $
#

require "num/numarray"
require "num/dcl"

include Num::DCL
include Math


upx3 = NumArray.new(Float, 3)
upy3 = NumArray.new(Float, 3)
upx6 = NumArray.new(Float, 6)
upy6 = NumArray.new(Float, 6)
upxs = NumArray.new(Float, 61)
upys = NumArray.new(Float, 61)

#-- data ---
a = 0.8
th = 3.14159 * 2 / 3
upy3.span(th, th)
upx3 = upy3.sin * a
upy3 = upy3.cos * a

th = 3.14159 * 2 / 6
upy6.span(th, th)
upx6 = upy6.sin * a
upy6 = upy6.cos * a

th = 3.14159 * 4 / 60
upxs.span(-a, a/30)
upys.span(0.0, th)
upys = upys.sin * a

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws

sglset('LSOFTF', true)            # <-- եȥեλ
sgfrm

sgswnd(-1.0, 1.0, -1.0, 1.0)
sgsvpt(0.0, 0.5, 0.0, 0.5)
sgstrn(1)
sgstrf

sgplu(3, upx3, upy3)
sgtnu(3, upx3, upy3)              # <--֤()

sgsvpt(0.0, 0.5, 0.5, 1.0)
sgstrf
sgstnp(101)
sgtnu(6, upx6, upy6)              # <--  ()

sgsvpt(0.5, 1.0, 0.0, 0.5)
sgstrf
sgtnzu(6, upx6, upy6, 201)        # <--()

sgsvpt(0.5, 1.0, 0.5, 1.0)
sgstrf
sgtnzu(61, upxs, upys, 601)       # <--  ()

sgcls

